# Interface BrowserCallback

public interface BrowserCallback
This callback interface is used to inform application code that the result of script execution or evaluation is available.

Since:
  2.0
See Also:
  - `Browser.evaluate(String, BrowserCallback)`

## Method Summary

Modifier and Type
Method
Description
`void`
`evaluationFailed(Exception exception)`
This method is called when the execution of the script failed.
`void`
`evaluationSucceeded(Object result)`
This method is called when the execution of the script succeeded.

## Method Details

### evaluationSucceeded

void evaluationSucceeded(Object result)
This method is called when the execution of the script succeeded.

Parameters:
  `result` - the return value, if any, of executing the script
See Also:
  - `Browser`

### evaluationFailed

void evaluationFailed(Exception exception)
This method is called when the execution of the script failed.

Parameters:
  `exception` - the reason for the failing script execution.
See Also:
  - `Browser`